ExecSpec (Gradle API 7.6.3)

Package org.gradle.process

## Interface ExecSpec

- All Superinterfaces:
    `BaseExecSpec`, `ProcessForkOptions`
  All Known Implementing Classes:
    `AbstractExecTask`, `Exec`, `RunTestExecutable`

      public interface ExecSpec
      extends BaseExecSpec

  Specified the options for executing some command.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecSpec` | `args​(java.lang.Iterable<?> args)` | Adds arguments for the command to be executed.
    `ExecSpec` | `args​(java.lang.Object... args)` | Adds arguments for the command to be executed.
    `ExecSpec` | `commandLine​(java.lang.Iterable<?> args)` | Sets the full command line, including the executable to be executed plus its arguments.
    `ExecSpec` | `commandLine​(java.lang.Object... args)` | Sets the full command line, including the executable to be executed plus its arguments.
    `java.util.List<java.lang.String>` | `getArgs()` | Returns the arguments for the command to be executed.
    `java.util.List<CommandLineArgumentProvider>` | `getArgumentProviders()` | Argument providers for the application.
    `ExecSpec` | `setArgs​(java.lang.Iterable<?> args)` | Sets the arguments for the command to be executed.
    `ExecSpec` | `setArgs​(java.util.List<java.lang.String> args)` | Sets the arguments for the command to be executed.
    `void` | `setCommandLine​(java.lang.Iterable<?> args)` | Sets the full command line, including the executable to be executed plus its arguments.
    `void` | `setCommandLine​(java.lang.Object... args)` | Sets the full command line, including the executable to be executed plus its arguments.
    `void` | `setCommandLine​(java.util.List<java.lang.String> args)` | Sets the full command line, including the executable to be executed plus its arguments.

    - ### Methods inherited from interface org.gradle.process.BaseExecSpec

      `getCommandLine, getErrorOutput, getStandardInput, getStandardOutput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput`

    - ### Methods inherited from interface org.gradle.process.ProcessForkOptions

      `copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setExecutable, setWorkingDir, setWorkingDir, workingDir`

- - ### Method Detail

    - #### setCommandLine

          void setCommandLine​(java.util.List<java.lang.String> args)

      Sets the full command line, including the executable to be executed plus its arguments.
      Parameters:
        `args` - the command plus the args to be executed
      Since:
        4.0

    - #### setCommandLine

          void setCommandLine​(java.lang.Object... args)

      Sets the full command line, including the executable to be executed plus its arguments.
      Parameters:
        `args` - the command plus the args to be executed

    - #### setCommandLine

          void setCommandLine​(java.lang.Iterable<?> args)

      Sets the full command line, including the executable to be executed plus its arguments.
      Parameters:
        `args` - the command plus the args to be executed

    - #### commandLine

          ExecSpec commandLine​(java.lang.Object... args)

      Sets the full command line, including the executable to be executed plus its arguments.
      Parameters:
        `args` - the command plus the args to be executed
      Returns:
        this

    - #### commandLine

          ExecSpec commandLine​(java.lang.Iterable<?> args)

      Sets the full command line, including the executable to be executed plus its arguments.
      Parameters:
        `args` - the command plus the args to be executed
      Returns:
        this

    - #### args

          ExecSpec args​(java.lang.Object... args)

      Adds arguments for the command to be executed.
      Parameters:
        `args` - args for the command
      Returns:
        this

    - #### args

          ExecSpec args​(java.lang.Iterable<?> args)

      Adds arguments for the command to be executed.
      Parameters:
        `args` - args for the command
      Returns:
        this

    - #### setArgs

          ExecSpec setArgs​(java.util.List<java.lang.String> args)

      Sets the arguments for the command to be executed.
      Parameters:
        `args` - args for the command
      Returns:
        this
      Since:
        4.0

    - #### setArgs

          ExecSpec setArgs​(java.lang.Iterable<?> args)

      Sets the arguments for the command to be executed.
      Parameters:
        `args` - args for the command
      Returns:
        this

    - #### getArgs

          java.util.List<java.lang.String> getArgs()

      Returns the arguments for the command to be executed. Defaults to an empty list.

    - #### getArgumentProviders

          java.util.List<CommandLineArgumentProvider> getArgumentProviders()

      Argument providers for the application.
      Since:
        4.6